## Methode com.sap.dbtech.powertoys.DBM.cmd

### Verwendung

Um in Ihrer Java-Anwendung DBM-Kommandos auszuführen, verwenden Sie die Methode com.sap.dbtech.powertoys.DBM.cmd.

### Voraussetzungen

· Sie sind mit der Datenbankinstanz verbunden, siehe Methode com.sap.dbtech.powertoys.DBM.dbDBM.

· Die meisten DBM-Kommandos können Sie nur ausführen, wenn Sie an der Datenbankinstanz angemeldet sind. Um sich an die Datenbankinstanz anzumelden, verwenden Sie das DBM-Kommando user_logon (siehe Database Manager CLI, user_logon).

### Funktionsumfang

public String cmd(String dbm_command)

throws

com.sap.dbtech.rte.comm.RTEException,

com.sap.dbtech.powertoys.DBMException;

Parameter

Parameter | Beschreibung
dbm_command | DBM-Kommando siehe Database Manager CLI, Übersicht aller DBM-Kommandos

Rückgabewert

Der Rückgabewert der Methode enthält den Rückgabewert des DBM-Kommandos.

Ausnahmen

Klassen | Beschreibung
com.sap.dbtech.rte.comm.RTEException com.sap.dbtech.powertoys.DBMException | siehe Fehlerbehandlung (Database Manager)

Der Rückgabewert der Methode enthält den Rückgabewert des DBM-Kommandos.

### Beispiel

Sie verwenden in der Methode cmd das DBM-Kommando user_logon, mit dem Sie den DBM-Benutzer OLEG mit dem Kennwort MONDAY an die Datenbankinstanz anmelden:

String result = session.cmd ("user_logon OLEG,MONDAY");

Siehe auch:

Beispiel: Betriebszustand der Datenbankinstanz anzeigen

Fehlerbehandlung (Database Manager)